Results 1 to 9 of 9

Thread: Oibaf Keeps Making Ubuntu GPU Driver Upgrades Easy

Hybrid View

  1. #1
    Join Date
    Jan 2007
    Posts
    15,125

    Default Oibaf Keeps Making Ubuntu GPU Driver Upgrades Easy

    Phoronix: Oibaf Keeps Making Ubuntu GPU Driver Upgrades Easy

    For those that may have some time this holiday weekend and are looking to better enhance the performance of Ubuntu's open-source graphics drivers, one of the easiest ways to do so is by enabling the Oibaf repository for easily downloading and installing newer versions of the Mesa/Gallium3D drivers and other X.Org related components. Here are some more details and current benchmarks of enabling the Oibaf PPA over Ubuntu 13.10.

    http://www.phoronix.com/vr.php?view=19422

  2. #2
    Join Date
    Mar 2012
    Posts
    121

    Default

    for quake reaction, after having taken a look at the frame latency data, it's still better the non oibaf ubuntu 13.10.

  3. #3
    Join Date
    Jan 2007
    Location
    Germany
    Posts
    2,156

    Default

    Just tried it two days ago and couldn't get Steam to work because I couldn't install libgl1-mesa-dri:i386 (it would remove half the system). Now he has pushed a new update hours ago it seems and now I was able to install this remaining package again and it seems to work. Hopefully this was just a random dependency issue and I won't get in trouble in the future, because Xorg/Mesa git stack + Ubuntu Linux Kernel Mainline PPA destroys AMD Catalyst on my HD 6870.

  4. #4
    Join Date
    Nov 2009
    Location
    Italy
    Posts
    970

    Default

    "The only complaint I have about the archive is that for the RadeonSI Gallium3D driver it doesn't yet build against the latest LLVM 3.4 or SVN code for delivering the best experience with the very newest AMD graphics processors."

    Completely agree. I remember pali given his availability to make a LLVM svn ppa so there shouldn't be any major blocker anymore.
    ## VGA ##
    AMD: X1950XTX, HD3870, HD5870
    Intel: GMA45, HD3000 (Core i5 2500K)

  5. #5

    Default

    The mesa packages used in the test (1fb106) was built with llvm 3.4. I reverted to 3.3 in the current packages because of problems, for more info see here: http://phoronix.com/forums/showthrea...985#post376985

    Thanks for the article anyway .

  6. #6
    Join Date
    Nov 2008
    Posts
    149

    Default

    Personally, I never install system updates unless:

    1) They come from the hardware vendor directly (AMD, NVidia, etc.).
    2) They come from the distribution packagers (Ubuntu, etc.)
    3) They are final versions (no alphas, betas, etc.)

    That leaves me waiting 6 months, when using the open source stack, in order to get the latest improvements. It would be great if canonical would setup an official repository (with stable and supported releases) for people like me.

    The closed drivers are often problematic too. Right now I am on ubuntu 13.10. I would like to use the Catalyst drivers but the last stable release does not support the xserver 1.14. That leaves me with either using the Catalyst 13.11 beta or the half baked open source.
    Last edited by zoomblab; 12-01-2013 at 08:24 AM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •